package com.bonus.canteen.core.auth.role.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("mgr_role_area")
@ApiModel("角色区域表")
public class MgrRoleArea {
   @ApiModelProperty("角色ID")
   private Long roleId;
   @ApiModelProperty("区域、食堂、档口ID")
   private Long dataId;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;

   public Long getRoleId() {
      return this.roleId;
   }

   public Long getDataId() {
      return this.dataId;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public MgrRoleArea setRoleId(final Long roleId) {
      this.roleId = roleId;
      return this;
   }

   public MgrRoleArea setDataId(final Long dataId) {
      this.dataId = dataId;
      return this;
   }

   public MgrRoleArea setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
      return this;
   }
}
